Package org.apache.storm.messaging.netty

# Class SaslStormServerHandler

java.lang.Object
org.apache.storm.shade.io.netty.channel.ChannelHandlerAdapter
org.apache.storm.shade.io.netty.channel.ChannelInboundHandlerAdapter
org.apache.storm.messaging.netty.SaslStormServerHandler

All Implemented Interfaces:
  `org.apache.storm.shade.io.netty.channel.ChannelHandler`, `org.apache.storm.shade.io.netty.channel.ChannelInboundHandler`

public class SaslStormServerHandler extends org.apache.storm.shade.io.netty.channel.ChannelInboundHandlerAdapter

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.storm.shade.io.netty.channel.ChannelHandler

  `org.apache.storm.shade.io.netty.channel.ChannelHandler.Sharable`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SaslStormServerHandler(ISaslServer server)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `channelRead(org.apache.storm.shade.io.netty.channel.ChannelHandlerContext ctx, Object msg)`
  `void`
  `exceptionCaught(org.apache.storm.shade.io.netty.channel.ChannelHandlerContext ctx, Throwable cause)`

  ### Methods inherited from class org.apache.storm.shade.io.netty.channel.ChannelInboundHandlerAdapter

  `channelActive, channelInactive, channelReadComplete, channelRegistered, channelUnregistered, channelWritabilityChanged, userEventTriggered`

  ### Methods inherited from class org.apache.storm.shade.io.netty.channel.ChannelHandlerAdapter

  `ensureNotSharable, handlerAdded, handlerRemoved, isSharable`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.storm.shade.io.netty.channel.ChannelHandler

  `handlerAdded, handlerRemoved`

- ## Constructor Details

  - ### SaslStormServerHandler

    public SaslStormServerHandler(ISaslServer server) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### channelRead

    public void channelRead(org.apache.storm.shade.io.netty.channel.ChannelHandlerContext ctx, Object msg) throws Exception
    Specified by:
      `channelRead` in interface `org.apache.storm.shade.io.netty.channel.ChannelInboundHandler`
    Overrides:
      `channelRead` in class `org.apache.storm.shade.io.netty.channel.ChannelInboundHandlerAdapter`
    Throws:
      `Exception`

  - ### exceptionCaught

    public void exceptionCaught(org.apache.storm.shade.io.netty.channel.ChannelHandlerContext ctx, Throwable cause)
    Specified by:
      `exceptionCaught` in interface `org.apache.storm.shade.io.netty.channel.ChannelHandler`
    Specified by:
      `exceptionCaught` in interface `org.apache.storm.shade.io.netty.channel.ChannelInboundHandler`
    Overrides:
      `exceptionCaught` in class `org.apache.storm.shade.io.netty.channel.ChannelInboundHandlerAdapter`